# Interface WorkImage

全景图

interface WorkImage {
back: string;
down: string;
front: string;
histogram?: Histogram;
left: string;
right: string;
sizeList: readonly number[];
tiles: readonly WorkTile[];
up: string;
video?: WorkVideo;
work: Work;
}

#### Hierarchy (View Summary)

- WorkCubeImage
  - WorkImage

- Defined in lib/five/work/work.ts:42

##### Index

### Properties

back
down
front
histogram?
left
right
sizeList
tiles
up
video?
work

## Properties

### back

back: string

Inherited from WorkCubeImage.back

### down

down: string

Inherited from WorkCubeImage.down

### front

front: string

Inherited from WorkCubeImage.front

### `Optional` histogram

histogram?: Histogram

Inherited from WorkCubeImage.histogram

- Defined in lib/five/work/work.ts:29

### left

left: string

Inherited from WorkCubeImage.left

### right

right: string

Inherited from WorkCubeImage.right

### sizeList

sizeList: readonly number[]

分辨率表

- Defined in lib/five/work/work.ts:44

### tiles

tiles: readonly WorkTile[]

瓦片信息

- Defined in lib/five/work/work.ts:46

### up

up: string

Inherited from WorkCubeImage.up

### `Optional` video

video?: WorkVideo

点位视频

- Defined in lib/five/work/work.ts:48

### work

work: Work

Inherited from WorkCubeImage.work

- Defined in lib/five/work/work.ts:28